Bug 254278 - games/eboard: Fix for endian.h and some unsolved issues
Summary: games/eboard: Fix for endian.h and some unsolved issues
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rainer Hurling
URL: https://github.com/fbergo/eboard/blob...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-14 13:49 UTC by Rainer Hurling
Modified: 2021-05-06 15:15 UTC (History)
3 users (show)

See Also:


Attachments
patch to fix endian.h include (818 bytes, patch)
2021-03-14 13:49 UTC, Rainer Hurling
no flags Details | Diff
patch with fix for endian.h and removed joystick option (1.55 KB, patch)
2021-03-16 21:08 UTC, Rainer Hurling
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling freebsd_committer 2021-03-14 13:49:06 UTC
Created attachment 223260 [details]
patch to fix endian.h include

(1) The latest update of games/eboard with ports r568287 does not build on my 14.0-CURRENT boxes anymore. It stops with

c++  -O2 -pipe -fstack-protector-strong -fno-strict-aliasing   -I/usr/local/include -I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/fribidi -I/usr/local/include/cairo -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng16 -I/usr/local/include/libdrm -I/usr/local/include/harfbuzz -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/atk-1.0 -D_THREAD_SAFE -I/usr/local/include/gstreamer-1.0 -pthread -c sound.cc -o sound.o
sound.cc:41:10: fatal error: 'endian.h' file not found
#include <endian.h>
         ^~~~~~~~~~
1 error generated.
*** Error code 1
Stop.
make[2]: stopped in /usr/ports/games/eboard/work/eboard-1.1.3

The attached patch should fix this issue.


(2) Another point is, that the update from v1.1.1 to v1.1.3 removed joystick support in the sources (see Changelog). So there is no need for an OPTION joystick.


(3) Even if the port was built with the attached patch for endian.h, warnings are issued in the build:

====> Running Q/A tests (stage-qa)
Warning: Symlink '/usr/local/share/eboard/timeseal.FreeBSD' pointing to '/usr/local/bin/timeseal' which does not exist in the stage directory or in localbase
Warning: Possible REINPLACE_CMD issues:
- - REINPLACE_CMD ran, but did not modify file contents: config.h


While the REINPLACE_CMD probably just needs to be removed, the note about the missing timeseal binary is probably more profound and not just missing the binary.

I currently have no idea how to make timeseal work again for eboard.
Comment 1 Fernando Apesteguía freebsd_committer 2021-03-15 10:59:31 UTC
^Triage: Reporter is committer, assign accordingly
Comment 2 Rainer Hurling freebsd_committer 2021-03-16 21:08:25 UTC
Created attachment 223346 [details]
patch with fix for endian.h and removed joystick option

Added a patch for issue (2) from the initial PR description with removal of option joystick.
Comment 3 commit-hook freebsd_committer 2021-05-06 15:12:37 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=76f2c0607d29e6aeaf7fb43dfb74846b50571b68

commit 76f2c0607d29e6aeaf7fb43dfb74846b50571b68
Author:     Rainer Hurling <rhurlin@FreeBSD.org>
AuthorDate: 2021-05-06 14:59:30 +0000
Commit:     Rainer Hurling <rhurlin@FreeBSD.org>
CommitDate: 2021-05-06 15:11:38 +0000

    games/eboard: Take maintainership and rework the port a bit

    - Add license
    - Remove nonfunctional joystick option
    - Comment out timeseal link; remove pkg-message for now
    - Remake all patchfiles
    - Change PORT_OPTIONS:MDOCS into post-install-DOCS-on target
    - pkg-descr: Use secured URL

    PR:             254278

 games/eboard/Makefile                 | 46 +++++++++++++++--------------------
 games/eboard/files/patch-c++11 (gone) | 17 -------------
 games/eboard/files/patch-configure    | 14 +++++------
 games/eboard/files/patch-network.cc   | 21 +++++++++++-----
 games/eboard/files/patch-network.h    |  8 +++---
 games/eboard/pkg-descr                |  2 +-
 games/eboard/pkg-message (gone)       |  9 -------
 7 files changed, 47 insertions(+), 70 deletions(-)
Comment 4 Rainer Hurling freebsd_committer 2021-05-06 15:15:01 UTC
endian.h issues was committed by amdmi3 in https://cgit.freebsd.org/ports/commit/?id=f406771d4c156bf2201b9a07e9ed4dc88e6c6405 before :)